Package org.eclipse.m2m.atl.engine.vm.nativelib

# Class ASMOclAny

java.lang.Object
org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny

Direct Known Subclasses:
  `ASM`, `ASMBoolean`, `ASMCollection`, `ASMEmitter`, `ASMEnumLiteral`, `ASMMap`, `ASMModel`, `ASMModule`, `ASMNumber`, `ASMOclType`, `ASMOclUndefined`, `ASMString`, `ASMTransientLink`, `ASMTransientLinkSet`, `ASMTuple`, `Operation`, `StackFrame`

public class ASMOclAny extends ASMNativeObject

## Field Summary

Fields
Modifier and Type
Field
Description
`static ASMOclType`
`myType`

### Fields inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject

`nativeImpl`

## Constructor Summary

Constructors
Constructor
Description
`ASMOclAny(ASMOclType type)`

## Method Summary

Modifier and Type
Method
Description
`static ASMBag`
`asBag(StackFrame frame, ASMOclAny self)`
`static ASMSequence`
`asSequence(StackFrame frame, ASMOclAny self)`
`static ASMSet`
`asSet(StackFrame frame, ASMOclAny self)`
`static ASMOclAny`
`check(StackFrame frame, ASMOclAny self, ASMString msg, ASMBoolean cond)`
`static ASMOclAny`
`debug(StackFrame frame, ASMOclAny self, ASMString msg)`
`Operation`
`findOperation(StackFrame frame, String opName, List arguments)`
`Operation`
`findOperation(StackFrame frame, String opName, List arguments, ASMOclType type)`
`ASMOclAny`
`get(StackFrame frame, String name)`
`ASMOclAny`
`getHelper(StackFrame frame, String name)`
`static ASMOclAny`
`getNamedTargetFromSource(StackFrame frame, ASMOclAny self, ASMOclAny sourceElement, ASMString name)`
`protected static ASMOclType`
`getOclAnyType()`
`ASMOclType`
`getType()`
`ASMOclAny`
`invoke(StackFrame frame, String opName, List arguments)`
Searches for Operation opName in this context and invokes it if found.
`ASMOclAny`
`invoke(StackFrame frame, Operation oper, List arguments)`
Invokes the given Operation.
`ASMOclAny`
`invokeSuper(StackFrame frame, String opName, List arguments)`
Searches for Operation opName in the superclass context and invokes it if found.
`boolean`
`isHelper(StackFrame frame, String name)`
`static ASMBoolean`
`oclIsKindOf(StackFrame frame, ASMOclAny self, ASMOclType otherType)`
`static ASMBoolean`
`oclIsTypeOf(StackFrame frame, ASMOclAny self, ASMOclType otherType)`
`static ASMBoolean`
`oclIsUndefined(StackFrame frame, ASMOclAny self)`
`static ASMOclType`
`oclType(StackFrame frame, ASMOclAny self)`
`static ASMOclAny`
`operatorEQ(StackFrame frame, ASMOclAny self, ASMOclAny other)`
`static ASMOclAny`
`operatorNE(StackFrame frame, ASMOclAny self, ASMOclAny other)`
`static void`
`output(StackFrame frame, ASMOclAny self)`
`static ASMOclAny`
`refGetValue(StackFrame frame, ASMOclAny self, ASMString name)`
`ASMOclAny`
`refImmediateComposite()`
`static ASMOclAny`
`refImmediateComposite(StackFrame frame, ASMOclAny self)`
`static ASMOclAny`
`refInvokeOperation(StackFrame frame, ASMOclAny self, ASMString opName_, ASMSequence arguments_)`
`static ASMOclAny`
`refSetValue(StackFrame frame, ASMOclAny self, ASMString name, ASMOclAny value)`
`static ASMOclAny`
`refUnsetValue(StackFrame frame, ASMOclAny self, ASMString name)`
`void`
`set(StackFrame frame, String name, ASMOclAny value)`
`void`
`setType(ASMOclType type)`
`static ASMString`
`toString(StackFrame frame, ASMOclAny self)`
`void`
`unset(StackFrame frame, String symbol)`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject

`getNativeImpl`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### myType

public static ASMOclType myType

## Constructor Details

### ASMOclAny

public ASMOclAny(ASMOclType type)

## Method Details

### getOclAnyType

protected static ASMOclType getOclAnyType()

### setType

public void setType(ASMOclType type)

### getType

public ASMOclType getType()

### findOperation

public Operation findOperation(StackFrame frame, String opName, List arguments)

### findOperation

public Operation findOperation(StackFrame frame, String opName, List arguments, ASMOclType type)

### invoke

public ASMOclAny invoke(StackFrame frame, String opName, List arguments)
Searches for Operation opName in this context and invokes it if found.

Parameters:
  `frame` - The current stack frame
  `opName` - The Operation's name
  `arguments` - The operation arguments, excluding self
Returns:
  The Operation's result or null

### invokeSuper

public ASMOclAny invokeSuper(StackFrame frame, String opName, List arguments)
Searches for Operation opName in the superclass context and invokes it if found.

Parameters:
  `frame` - The current stack frame
  `opName` - The Operation's name
  `arguments` - The operation arguments, excluding self
Returns:
  The Operation's result or null

### invoke

public ASMOclAny invoke(StackFrame frame, Operation oper, List arguments)
Invokes the given Operation.

Parameters:
  `frame` - The current stack frame
  `oper` - The Operation to invoke
  `arguments` - The operation arguments, excluding self
Returns:
  The Operation's result

### get

public ASMOclAny get(StackFrame frame, String name)

### set

public void set(StackFrame frame, String name, ASMOclAny value)

### unset

public void unset(StackFrame frame, String symbol)

### refImmediateComposite

public ASMOclAny refImmediateComposite()

### isHelper

public boolean isHelper(StackFrame frame, String name)

### getHelper

public ASMOclAny getHelper(StackFrame frame, String name)

### oclIsUndefined

public static ASMBoolean oclIsUndefined(StackFrame frame, ASMOclAny self)

### toString

public static ASMString toString(StackFrame frame, ASMOclAny self)

### oclType

public static ASMOclType oclType(StackFrame frame, ASMOclAny self)

### oclIsKindOf

public static ASMBoolean oclIsKindOf(StackFrame frame, ASMOclAny self, ASMOclType otherType)

### oclIsTypeOf

public static ASMBoolean oclIsTypeOf(StackFrame frame, ASMOclAny self, ASMOclType otherType)

### refSetValue

public static ASMOclAny refSetValue(StackFrame frame, ASMOclAny self, ASMString name, ASMOclAny value)

### refUnsetValue

public static ASMOclAny refUnsetValue(StackFrame frame, ASMOclAny self, ASMString name)

### refGetValue

public static ASMOclAny refGetValue(StackFrame frame, ASMOclAny self, ASMString name)

### refImmediateComposite

public static ASMOclAny refImmediateComposite(StackFrame frame, ASMOclAny self)

### refInvokeOperation

public static ASMOclAny refInvokeOperation(StackFrame frame, ASMOclAny self, ASMString opName_, ASMSequence arguments_)

### operatorEQ

public static ASMOclAny operatorEQ(StackFrame frame, ASMOclAny self, ASMOclAny other)

### operatorNE

public static ASMOclAny operatorNE(StackFrame frame, ASMOclAny self, ASMOclAny other)

### asSequence

public static ASMSequence asSequence(StackFrame frame, ASMOclAny self)

### asSet

public static ASMSet asSet(StackFrame frame, ASMOclAny self)

### asBag

public static ASMBag asBag(StackFrame frame, ASMOclAny self)

### output

public static void output(StackFrame frame, ASMOclAny self)

### debug

public static ASMOclAny debug(StackFrame frame, ASMOclAny self, ASMString msg)

### check

public static ASMOclAny check(StackFrame frame, ASMOclAny self, ASMString msg, ASMBoolean cond)

### getNamedTargetFromSource

public static ASMOclAny getNamedTargetFromSource(StackFrame frame, ASMOclAny self, ASMOclAny sourceElement, ASMString name)